Переполнение буфера в ABB PCU400

Дата публикации:
30.09.2008
Всего просмотров:
1791
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная сеть
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ABB PCU 400
Уязвимые версии: ABB PCU400

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в приложении X87 (версии до 3.5.5) при обработке протоколов IEC 60870-5-101 и IEC 60870-5-104. Удаленный пользователь может отправить специально сформированный пакет на порт 8087/TCP и выполнить произвольный код на целевой системе.

URL производителя: www.abb.com/industries/db0003db004333/c12573e7003305cbc1257074003d0702.aspx

Решение: Установите последнюю версию X87 3.5.5 с сайта производителя.

Ссылки: http://archives.neohapsis.com/archives/bugtraq/2008-09/0283.html
http://www.kb.cert.org/vuls/id/343971

или введите имя

CAPTCHA